<?php

namespace DsbNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class DashboardTAController{
    
    protected $crudService;
    
    public function __construct($connection, $environment, $util, $crudService) {
        $this->crudService    = $crudService;
        $this->connection      = $connection;
        $this->environment     = $environment;
        $this->util            = $util;
    }
    
    public function previousDayAFDeliveryTA(Request\Filter $request, Response $response) {
        $params = ['CDFILCENTCMP'];
        $conditions = $this->util->prepareConditions($params);
        
        array_push($conditions, array(
            "columnName" => "NRINDICADORTF",
            "operator"   => '=',
            "value"      => '29'
        ));
        
        $data = $this->crudService->getFilteredDataSet('previousDayAFDeliveryTA', $conditions)->getRows();
        $response->addDataSet(new DataSet("previousDayAFDeliveryTA", $data));
    }
}